List Customers
curl --request GET \
--url https://qwoty.app/api/customers \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/customers"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"name": "Acme Corporation",
"type": "company",
"segment_id": null,
"logo": null,
"id_crm": "crm_001",
"id_erp": null,
"id_accounting": null,
"contact_ids": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890"],
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Customers
List Customers
Retrieve all customers in your workspace
GET
/
api
/
customers
List Customers
Authorization
string
required
Bearer token. Format:
Bearer qwoty_your_tokenExamples
curl https://qwoty.app/api/customers \
-H "Authorization: Bearer qwoty_your_token"
const response = await fetch('https://qwoty.app/api/customers', {
headers: { Authorization: 'Bearer qwoty_your_token' },
})
const data = await response.json()
import requests
response = requests.get(
'https://qwoty.app/api/customers',
headers={'Authorization': 'Bearer qwoty_your_token'},
)
data = response.json()
Response
boolean
true if the request succeededarray
Array of customer objects
Show Customer Object
Show Customer Object
string
UUID
string
Workspace UUID
string
Customer name
string
company or individualstring | null
Segment UUID
string | null
Logo URL
string | null
External CRM ID
string | null
External ERP ID
string | null
External accounting ID
string[]
Array of contact UUIDs linked to this customer. Use
GET /api/contacts/{id} to fetch each contact.string[]
Array of address UUIDs linked to this customer. Use
GET /api/addresses/{id} to fetch each address.string
ISO 8601 timestamp
string
ISO 8601 timestamp
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"name": "Acme Corporation",
"type": "company",
"segment_id": null,
"logo": null,
"id_crm": "crm_001",
"id_erp": null,
"id_accounting": null,
"contact_ids": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890"],
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Was this page helpful?
⌘I

